[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.Reference

A Reference made to this Pen.

## Declaration

Source position: graphics.pp line 674

`public property TPen.Reference : TWSPenReference read GetReference;`

## Description

Reference is a read-only TWSPenReference property which provides a reference to the class allocated for the pen by a widgetset class. Use Reference to access the handle allocated for the pen resource.